LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBrowseNode Interface Reference

This interface represents a node in the hierarchy used to browse available scripts. More...

`import"XBrowseNode.idl";`

Inheritance diagram for XBrowseNode:

## Public Member Functions
string | getName ()
| Get the name of the node. More...
sequence< XBrowseNode > | getChildNodes ()
| Get the children of this node. More...
boolean | hasChildNodes ()
| Indicates if this node contains any children. More...
short | getType ()
| the type of the node. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface represents a node in the hierarchy used to browse available scripts.

Objects implementing this interface are expected to also implement com.sun.star.beans.XPropertySet and, optionally, com.sun.star.script.XInvocation (see the Developer's Guide for more details).

## Member Function Documentation

## ◆ getChildNodes()

sequence< XBrowseNode > getChildNodes | ( |  | ) |

Get the children of this node.

Returns
  com::sun::star::script::browse::XBrowseNode sequence of child nodes

## ◆ getName()

string getName | ( |  | ) |

Get the name of the node.

Returns
  The `string` name of this node

## ◆ getType()

short getType | ( |  | ) |

the type of the node.

Returns
  A `short` representing the type of this node.

## ◆ hasChildNodes()

boolean hasChildNodes | ( |  | ) |

Indicates if this node contains any children.

Returns
  `boolean` true if there are child nodes.

The documentation for this interface was generated from the following file:

- com/sun/star/script/browse/XBrowseNode.idl